For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
    • File Picker
          • The File object
          • GET/files
          • POST/files
          • GET/files/{id}
          • GET/files/{id}/download
          • GET/files/{id}/download/request-meta
          • GET/files/download/request-meta
          • GET/files/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsFiles

/files/{id}/download/request-meta

GET
/filestorage/v1/files/:id/download/request-meta
GET
/api/filestorage/v1/files/:id/download/request-meta
$curl https://api.merge.dev/api/filestorage/v1/files/id/download/request-meta \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "url": "https://www.googleapis.com/drive/v3/files/234?alt=media",
4 "method": "GET",
5 "headers": {
6 "Authorization": "Bearer 1234"
7 }
8}
Returns metadata to construct an authenticated file download request for a singular file, allowing you to download file directly from the third-party. For information on our download process please refer to our <a href='https://help.merge.dev/articles/10644317' target='_blank'>direct file download help center article</a>.{/* BEGIN_FILESTORAGE_FILE_FETCH_SUPPORTED_FIELDS */}{/* END_FILESTORAGE_FILE_FETCH_SUPPORTED_FIELDS */}

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/files/{id}/download

Next

/files/download/request-meta

Built with

Returns metadata to construct an authenticated file download request for a singular file, allowing you to download file directly from the third-party. For information on our download process please refer to our direct file download help center article.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

mime_typestringOptional
If provided, specifies the export format of the file to be downloaded.

Response

idstring
urlstring
methodstring
headersmap from strings to any